Index: /trunk/src/Makefile.in
===================================================================
--- /trunk/src/Makefile.in	(revision 5692)
+++ /trunk/src/Makefile.in	(revision 5693)
@@ -341,7 +341,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/Makefile.in
===================================================================
--- /trunk/src/lib/Makefile.in	(revision 5692)
+++ /trunk/src/lib/Makefile.in	(revision 5693)
@@ -280,7 +280,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/collision_detection/Makefile.in
===================================================================
--- /trunk/src/lib/collision_detection/Makefile.in	(revision 5692)
+++ /trunk/src/lib/collision_detection/Makefile.in	(revision 5693)
@@ -219,7 +219,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/collision_detection/bv_tree.cc
===================================================================
--- /trunk/src/lib/collision_detection/bv_tree.cc	(revision 5692)
+++ /trunk/src/lib/collision_detection/bv_tree.cc	(revision 5693)
@@ -21,4 +21,5 @@
 
 
+
 /**
  *  standard constructor
Index: /trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 5692)
+++ /trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 5693)
@@ -51,5 +51,5 @@
   this->bvElement = NULL;
 
-  if(OBBTreeNode::coMat == NULL)
+  if( OBBTreeNode::coMat == NULL)
   {
     OBBTreeNode::coMat = new float*[4];
@@ -57,8 +57,8 @@
       OBBTreeNode::coMat[i] = new float[4];
   }
-  if(OBBTreeNode::eigvMat == NULL)
+  if( OBBTreeNode::eigvMat == NULL)
   {
     OBBTreeNode::eigvMat = new float*[4];
-    for(int i = 0; i < 4; i++)
+    for( int i = 0; i < 4; i++)
       OBBTreeNode::eigvMat[i] = new float[4];
   }
@@ -70,5 +70,5 @@
     OBBTreeNode::rotCount = new int;
 
-  if (OBBTreeNode_sphereObj == NULL)
+  if( OBBTreeNode_sphereObj == NULL)
     OBBTreeNode_sphereObj = gluNewQuadric();
 }
Index: /trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5692)
+++ /trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5693)
@@ -45,10 +45,10 @@
     void calculateBoxEigenvectors(OBB* box, const sVec3D* verticesList, unsigned int length);
     void calculateBoxAxis(OBB* box, const sVec3D* verticesList, unsigned int length);
-    
+
     void calculateBoxCovariance(OBB* box, const modelInfo& modInfo);
     void calculateBoxEigenvectors(OBB* box, const modelInfo& modInfo);
     void calculateBoxAxis(OBB* box, const modelInfo& modInfo);
 
-    
+
     void forkBox(OBB* box);
 
@@ -67,5 +67,5 @@
     static OBBTree*     obbTree;                    //!< reference to the obb tree
     Plane*              separationPlane;            //!< the separation plane of the obb
-    const sVec3D*       sepPlaneCenter;             //!< only needed to draw plane @todo: separationPlane drawing
+    const sVec3D*       sepPlaneCenter;             //!< only needed to draw plane
     int                 longestAxisIndex;           //!< only needed to draw plane
 
Index: /trunk/src/world_entities/weapons/rocket.cc
===================================================================
--- /trunk/src/world_entities/weapons/rocket.cc	(revision 5692)
+++ /trunk/src/world_entities/weapons/rocket.cc	(revision 5693)
@@ -104,8 +104,8 @@
     Rocket::explosionParticles->setName("RocketExplosionParticles");
     Rocket::explosionParticles->setMaterialTexture("maps/radial-trans-noise.png");
-    Rocket::explosionParticles->setLifeSpan(.6, .3);
+    Rocket::explosionParticles->setLifeSpan(.5, .3);
     Rocket::explosionParticles->setRadius(0.0, 10);
-    Rocket::explosionParticles->setRadius(.5, 20.0);
-    Rocket::explosionParticles->setRadius(1.0, 20.0);
+    Rocket::explosionParticles->setRadius(.5, 15.0);
+    Rocket::explosionParticles->setRadius(1.0, 10.0);
     Rocket::explosionParticles->setColor(0.0, 0,1,0,1);
     Rocket::explosionParticles->setColor(0.5, .8,.8,0,.8);
